2023.12: Welcome home!

Yes, it was mentioned when it happened and has been in your log ever since. It should also have generated a Repair for you to address.

1 Like

I was on 2023.11.3 and it neither generated warnings in my log, nor a repair. I even rolled back and explicitly looked for warnings and found none.

After upgrade it also did not generate a repair, it just had an extremely cryptic Python error.

Even if it had, that does not excuse incomplete changelogs omitting critical breaking changes information.

1 Like

It was mentioned on the 2023.6 release notes when the change was introduced, and a repair issue was issued at that time.

Could it be you pressed the ignore button then, and forgot about it?

4 Likes

Just to point out another issue with the decision to remove Harmony Activities as switches… I use HomeKit bridge to pipe certain entities through to Homekit for the family to use. Instead of piping through the switch.harmony entities I want them to use in HomeKit, I now have to use the select.harmony entity. This in theory should put all Harmony Activities into a power strip type option in Homekit, however the naming doesn’t come through… So now all Activities have the same name… Brilliant. Apparently, an known issue for sometime. Homekit - iOS 16 - input_select name not shown · Issue #78468 · home-assistant/core · GitHub

So, again - this change accomplished what exactly? Apparently I’ll have to yaml a bunch of templates just to be able to use this integration with Homekit (which breaks the naming of select or input_select entities) or Alexa (which doesn’t use select)… Please reconsider this decision, or at least perhaps someone can explain what the benefit is here to the actual end user. In my use case (which I don’t feel is abnormal), this change represents either a yaml hassle or loss of functionality. Does not appear this one was thought through from a user perspective.

2 Likes

I don’t think so?

I did just discover while fixing it that apparently I’d already fixed the command line binary sensors in the same file, I’m wondering if maybe the warnings didn’t flag the “regular” sensor or got confused because it was mostly fixed?

Ah, this may be some config within Nabucasa Cloud that I’m not familiar with as I run my own instance locally and access it via a dynamic hostname when away. I’ll have to let someone more familiar with your type of set up chime in.

I vote for this. The actual temperature should be the important one, like before. That’s how we see with a glance that heating is correct (i.e. if a window is opened, or someone accidentally changed the thermostat to an overmuch setting or switched it off). The other improvements are welcome.

2 Likes

I’m wondering whether I should perform a rollback also because new thermostat card has broken my tablet dashboard design plus I don’t understand why main temperature is setpoint and not actual temperature like before :frowning:

3 Likes

Anyone else experience extreme lag with the latest version of home assistant? I went from 10.3 to 12.1 and it’s gone from being fluid to slow and laggy with the interface sometimes never reacting when clicking on settings, energy etc. Unfortunately it’s the worst experience I have had with home assistant in the last year.

1 Like

Did you manage to resolve this?

I downgraded to 2023.11.3. Nothing in the 2023.12.1 update’s release notes jumped out at me, so didnt try that one yet.
Made a seperate post in Dashboard super slow + high cpu load - #7 by fritz9543 , but nothing came from that either

Thanks for the update. I tried to downgrade but zha stopped working so had to go back to 12.1. I disabled all the thermostats (I had a lot due to using better thermostat) and the speed is back to normal. Hopefully the new thermostat cards get fixed.

I’m not sure to be honest. I came home Saturday night to find my HA server stuck in a reboot loop. I killed power to it, let it reboot and then had both ZHA and Z-Wave fail to start. I then upgraded from 2023.12.0 to 2023.12.1 and ZHA and Z-Wave had both failed to load again. I rebooted the server and now they are working… The logs appeared to suggest it was a hardware issue but the reboot sorted it out so I don’t know what exactly was going on. I didn’t have time to go hunting through the logs properly and copy then to post here.

EDIT: just dug up the previous log where it shows the USB failure for the Zigbee stick and therefore ZHA:

2023-12-10 10:01:11.587 ERROR (MainThread) [homeassistant.config_entries] Error setting up entry /dev/ttyACM1 for zha
Traceback (most recent call last):
  File "/usr/local/lib/python3.11/site-packages/serial/serialposix.py", line 322, in open
    self.fd = os.open(self.portstr, os.O_RDWR | os.O_NOCTTY | os.O_NONBLOCK)
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
FileNotFoundError: [Errno 2] No such file or directory: '/dev/ttyACM1'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/config_entries.py", line 402, in async_setup
    result = await component.async_setup_entry(hass, self)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/components/zha/__init__.py", line 167, in async_setup_entry
    zha_gateway = await ZHAGateway.async_from_config(
                  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py", line 192, in async_from_config
    await instance.async_initialize()
  File "/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py", line 210, in async_initialize
    await app.startup(auto_form=True)
  File "/usr/local/lib/python3.11/site-packages/zigpy/application.py", line 223, in startup
    await self.connect()
  File "/usr/local/lib/python3.11/site-packages/zigpy_deconz/zigbee/application.py", line 95, in connect
    await api.connect()
  File "/usr/local/lib/python3.11/site-packages/zigpy_deconz/api.py", line 454, in connect
    self._uart = await zigpy_deconz.uart.connect(self._config, self)
                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/zigpy_deconz/uart.py", line 131, in connect
    _, protocol = await zigpy.serial.create_serial_connection(
                  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/zigpy/serial.py", line 48, in create_serial_connection
    transport, protocol = await pyserial_asyncio.create_serial_connection(
                          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/serial_asyncio_fast/__init__.py", line 508, in create_serial_connection
    serial_instance = await loop.run_in_executor(None, callback)
                      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/concurrent/futures/thread.py", line 58, in run
    result = self.fn(*self.args, **self.kwargs)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/serial/__init__.py", line 90, in serial_for_url
    instance.open()
  File "/usr/local/lib/python3.11/site-packages/serial/serialposix.py", line 325, in open
    raise SerialException(msg.errno, "could not open port {}: {}".format(self._port, msg))
serial.serialutil.SerialException: [Errno 2] could not open port /dev/ttyACM1: [Errno 2] No such file or directory: '/dev/ttyACM1'

and then Z-Wave:
2023-12-10 10:01:50.080 ERROR (MainThread) [homeassistant.components.zwave_js] Failed to set the Z-Wave JS add-on options: not a valid value for dictionary value @ data['options']. Got {'device': '/dev/serial/by-id/usb-0658_0200-if00', 's0_legacy_key': 'REDACTED', 's2_access_control_key': 'BCD03F2C23A26626E446E5963FF93E74', 's2_authenticated_key': 'REDACTED', 's2_unauthenticated_key': 'REDACTED'}

Like I say, a reboot sorted out both of them. However who knows what will happen upon the next restart or reboot.

1 Like

The HomeKit integration has support for representing the harmony remote as a TV. It’s usually a better experience to export it to HomeKit via the remote entity

Still I would like that the new standard thermostat card is reverted back to a version with the current temperature central in the middle with large font as it was before. There is already a feature request for it but I find it silly to have this request asking for something what was there before already.

I hope that comes trough in the next release. The way it is now doesn’t make sense.

2 Likes

Yup - toasted mine as well - constant restarting of the ZHA integration. Had to restore to my pre update backup. Havent been brave enough to retry the update.

I just added the logs to my previous post. Perhaps see if your system was reporting the same.

No such file or directory: ‘/dev/ttyACM1’

At a guess, the device name has moved. Maybe due to a kernel update or something, or a timeout.

dmesg is a useful command, eg

dmesg|grep tty

After the below, there is a heap of other info about ID’s… not sure if that’s helpful to post or not.

Sorry, couldn’t figure out how to copy/ paste the text from the web browser terminal window.

I actually have 3 USB devices connected and after the reboot, all are working. (Conbee2, Aeotec Z-Stick 5, Google Coral)

1 Like

Thanks! Updating a dozen cards and now it’s usable, I’d have personally recommended that as the default state…